package com.dxhy.common.enums;

import java.util.HashMap;
import java.util.Map;

/**
 * 签收方式
 * 
 * @author zhanghong
 * @date 2019年4月29日
 * 
 */
public enum QsfsEnum {
    /**
     * 扫码签收
     */
    SMQS("0", 1),
    /**
     * 扫描仪签收
     */
    SMYQS("1", 2),
    /**
     * app签收
     */
    APPQS("2", 3),
    /**
     * 导入签收
     */
    DRQS("3", 4),
    /**
     * 手工签收
     */
    SGQS("4", 5),
    /**
     * 电票上传签收
     */
    PDFQS("5", 6),
    /**
     * 接口推送
     */
    JKTS("6", 7);

    private static final String[] QSFSMC = {"扫码签收", "扫描仪签收", "app签收", "导入签收", "手工签收", "电票上传签收", "接口推送签收"};

    private String qsfsDm;

    private int index;

    QsfsEnum(String zcztDm, int index) {
        this.qsfsDm = zcztDm;
        this.index = index;
    }

    public String getQsfsDm(int index) {
        for (QsfsEnum qsfs : QsfsEnum.values()) {
            if (qsfs.getIndex() == index) {
                return qsfs.qsfsDm;
            }
        }
        return null;
    }

    public String getQsfsMc(int index) {
        int length = QSFSMC.length;
        if (index <= length) {
            return QSFSMC[index - 1];
        }
        return null;
    }

    /**
     * 枚举放入map中，便于取用
     */
    public static Map<String, String> getEnumMap() {
        Map<String, String> enumMap = new HashMap<>(16);
        for (QsfsEnum en : QsfsEnum.values()) {
            enumMap.put(en.getQsfsDm(), en.getQsfsMc(en.getIndex()));
        }
        return enumMap;
    }

    public String getQsfsDm() {
        return qsfsDm;
    }

    public void setQsfsDm(String qsfsDm) {
        this.qsfsDm = qsfsDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

}
